Repository 32bit  Forum
Repository 64bit  Wiki

kde4.8 bloccato dalla current

Se avete problemi con l'installazione e la configurazione di Slackware postate qui. Non usate questo forum per argomenti generali... per quelli usate Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware, se l'argomento è generale usate il forum Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Re: kde4.8 bloccato dalla current

Messaggioda roberto67 » ven feb 03, 2012 22:06

Procopio ha scritto:ma io la current l'ho installata con i comandi
Codice: Seleziona tutto
slackpkg update
slackpkg install-new
slackpkg upgrade-all
che fino agli ultimi aggiornamenti della current si occupava lui di aggiornare le glibc e le altre multilib per prime, adesso non e´ piu´ cosi? per installare tutti quei pacchetti cosa devo fare? riconfigurare il mirror e dare dinuovo quei tre comandi?


non saprei con slackpkg, io uso upgradepkg, ma stai dicendo che con questi comandi installi sia -current che multilib? Mi sembra strano perchè le multilib sono a parte nelle repo di Alien..
roberto67
Packager
Packager
 
Messaggi: 291
Iscritto il: lun set 14, 2009 17:55
Slackware: 14.1 multilib
Desktop: kde

Re: kde4.8 bloccato dalla current

Messaggioda Procopio » ven feb 03, 2012 22:12

e no eppure io con quelle ero sicuro che lui controllasse almeno prima le glib c e installasse quelle per prime se erano nel changelog...per tutte le multilib non saprei, comunque adesso come dovrei afre per installare tutti quei pachetti? scaricare uno ad uno quelli del change log che mi hai linkato e installarli uno ad uno a mano con upgradepkg?
Avatar utente
Procopio
Linux 2.6
Linux 2.6
 
Messaggi: 701
Iscritto il: ven lug 29, 2011 10:50
Località: Torino
Nome Cognome: Matteo Micheletto Oddino
Kernel: 3.16.1-1-ARCH
Desktop: awesome 3.5.5-1
Distribuzione: ArchLinux

Re: kde4.8 bloccato dalla current

Messaggioda roberto67 » ven feb 03, 2012 22:19

Procopio ha scritto:[...] comunque adesso come dovrei afre per installare tutti quei pachetti? scaricare uno ad uno quelli del change log che mi hai linkato e installarli uno ad uno a mano con upgradepkg?


io sovrascrivo sempre le vecchie con uno scriptino come questo

Codice: Seleziona tutto
#!/bin/sh
#
VERSION="current"
rsync -avz --delete-after \
        --exclude '/debug/' \
        rsync://ftp.slackware.org.uk/people/alien/multilib/$VERSION ./


dopodichè installo e ho finito in 5 min. :)

Codice: Seleziona tutto
#!/bin/sh
cd current
upgradepkg --install-new *.t?z
cd slackware64-compat32/

for dir in a ap d l n x xap ; do
  ( cd $dir-compat32 ; upgradepkg --install-new *.t?z )
done
roberto67
Packager
Packager
 
Messaggi: 291
Iscritto il: lun set 14, 2009 17:55
Slackware: 14.1 multilib
Desktop: kde

Re: kde4.8 bloccato dalla current

Messaggioda conraid » sab feb 04, 2012 13:19

Come detto in altro topic non ti servono le multilib
Reinstalla tutto KDE di alien, compreso le deps e prova. Per il discorso driver video al limite vediamo dopo, certo che usare KDE con i vesa...
Avatar utente
conraid
Staff
Staff
 
Messaggi: 12023
Iscritto il: mer lug 13, 2005 23:00
Località: Livorno
Nome Cognome: Corrado Franco
Slackware: current

Re: kde4.8 bloccato dalla current

Messaggioda Procopio » sab feb 04, 2012 13:48

ah ok, io stavo intanto riaggiornando la current, ma senza usare slackpkg, dici che e' inutile? dopo ad ogni modo reinstallo kde... per il fatto dei driver, avevo gia´ aperto un post a tal proposito, e li´ avevo scoperto che era probabilmente la mia scheda in particolare a non supportare i driver nvidia: deve succedere un fenomeno strano, causato dai materiali stessi con cui e´ costruita la scheda, tale per cui quando uso l'accellerazione grafica 3D, la scheda si surriscalda e mi freeza lo schermo....di fatto come facevo partire X mi si freezava lo schermo e talvolta non riuscivo neppure a effettuare il login (il post era questo viewtopic.php?f=6&t=34920&hilit=driver+vesa#p309712 )....un vero peccato su uno schermo da 17" con scheda video NVIDIA GeForce 8400M GT GPU...(il pc e´ gia´ vecchiotto, ma comunque era, ed e´, una bella macchina;))
Avatar utente
Procopio
Linux 2.6
Linux 2.6
 
Messaggi: 701
Iscritto il: ven lug 29, 2011 10:50
Località: Torino
Nome Cognome: Matteo Micheletto Oddino
Kernel: 3.16.1-1-ARCH
Desktop: awesome 3.5.5-1
Distribuzione: ArchLinux

Re: kde4.8 bloccato dalla current

Messaggioda roberto67 » sab feb 04, 2012 14:37

scusate il rumore generato con la questione del multilib, ma pensavo fosse chiaro che non c'entrava con la questione in oggetto..
roberto67
Packager
Packager
 
Messaggi: 291
Iscritto il: lun set 14, 2009 17:55
Slackware: 14.1 multilib
Desktop: kde

Re: kde4.8 bloccato dalla current

Messaggioda Procopio » sab feb 04, 2012 14:51

tranquillo, nessun problema! dato che non mi sconfinferavano i suffissi in _64 ho comunque verificato prima di installare! ;)
Avatar utente
Procopio
Linux 2.6
Linux 2.6
 
Messaggi: 701
Iscritto il: ven lug 29, 2011 10:50
Località: Torino
Nome Cognome: Matteo Micheletto Oddino
Kernel: 3.16.1-1-ARCH
Desktop: awesome 3.5.5-1
Distribuzione: ArchLinux

Re: kde4.8 bloccato dalla current

Messaggioda conraid » sab feb 04, 2012 14:58

Procopio ha scritto:ah ok, io stavo intanto riaggiornando la current, ma senza usare slackpkg, dici che e' inutile? dopo ad ogni modo reinstallo kde... per il fatto dei driver, avevo gia´ aperto un post a tal proposito, e li´ avevo scoperto che era probabilmente la mia scheda in particolare a non supportare i driver nvidia: deve succedere un fenomeno strano, causato dai materiali stessi con cui e´ costruita la scheda, tale per cui quando uso l'accellerazione grafica 3D, la scheda si surriscalda e mi freeza lo schermo....di fatto come facevo partire X mi si freezava lo schermo e talvolta non riuscivo neppure a effettuare il login (il post era questo viewtopic.php?f=6&t=34920&hilit=driver+vesa#p309712 )....un vero peccato su uno schermo da 17" con scheda video NVIDIA GeForce 8400M GT GPU...(il pc e´ gia´ vecchiotto, ma comunque era, ed e´, una bella macchina;))


ora non trovo il topic, ma leggi i post di Vito che aveva un problema simile con un dell e l'ha risolto
Avatar utente
conraid
Staff
Staff
 
Messaggi: 12023
Iscritto il: mer lug 13, 2005 23:00
Località: Livorno
Nome Cognome: Corrado Franco
Slackware: current

Re: kde4.8 bloccato dalla current

Messaggioda Procopio » sab feb 04, 2012 16:33

ok, per intanto ho reinstallato da zero kde 4.8 ed ha ripreso a funzionare, ora do un occhiata a quei post! grazie per le dritte conraid!!!!;)
Avatar utente
Procopio
Linux 2.6
Linux 2.6
 
Messaggi: 701
Iscritto il: ven lug 29, 2011 10:50
Località: Torino
Nome Cognome: Matteo Micheletto Oddino
Kernel: 3.16.1-1-ARCH
Desktop: awesome 3.5.5-1
Distribuzione: ArchLinux

Precedente

Torna a Slackware

Chi c’è in linea

Visitano il forum: Google [Bot] e 1 ospite